Module javafx.base
Package javafx.beans.binding

# Class When.StringConditionBuilder

java.lang.Object
javafx.beans.binding.When.StringConditionBuilder

Enclosing class:
  `When`

public class When.StringConditionBuilder extends Object
An intermediate class needed while assembling the ternary expression. It should not be used in another context.

Since:
  JavaFX 2.0

## Method Summary

Modifier and Type
Method
Description
`StringBinding`
`otherwise(String otherwiseValue)`
Defines a constant value of the ternary expression, that is returned if the condition is `false`.
`StringBinding`
`otherwise(ObservableStringValue otherwiseValue)`
Defines the `ObservableStringValue` which value is returned by the ternary expression if the condition is `false`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### otherwise

public StringBinding otherwise(ObservableStringValue otherwiseValue)
Defines the `ObservableStringValue` which value is returned by the ternary expression if the condition is `false`.

Parameters:
  `otherwiseValue` - the value
Returns:
  the complete `StringBinding`

### otherwise

public StringBinding otherwise(String otherwiseValue)
Defines a constant value of the ternary expression, that is returned if the condition is `false`.

Parameters:
  `otherwiseValue` - the value
Returns:
  the complete `StringBinding`